package com.idle.wall.idletool;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;

import androidx.annotation.Nullable;

import com.idle.wall.IdleApp;
import com.idle.wall.R;


public class text extends androidx.appcompat.widget.AppCompatTextView {


    public text(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        initAttrs(context,attrs);
    }


    private void initAttrs(Context context, AttributeSet attrs){
        TypedArray typedArray = context.obtainStyledAttributes(attrs, R.styleable.CustomeTv);
        boolean aBoolean = typedArray.getBoolean(R.styleable.CustomeTv_apply_font,false);
        if(aBoolean){
            setTypeface(IdleApp.defaultFont);
        }

        typedArray.recycle();
    }



}
